Subject: Re: [PATCH (GITK)] gitk: Fix transient windows on Win32 and MacOS.

From: Johannes Sixt <[email-masked]>
Date: Wed, 12 Nov 2008 09:28:08 +0100

Paul Mackerras schrieb:
> Johannes Sixt writes:
>> Alexander Gavrilov schrieb:
>>> Transient windows cause problems on these platforms:
>> ...
>>> diff --git a/gitk b/gitk
>>> index 9b2a6e5..e6aafe8 100755
>> I'd appreciate if you could make it a habit to base your patches on
>> versions of gitk etc. that are available from a public repository
> 
> You mean, like, git://git.kernel.org/pub/scm/gitk/gitk.git, for
> instance? :)  That is the primary repository for gitk and it seems to
> be what Alexander bases his patches on.

Yes, I mean exactly this repository. It doesn't have 9b2a6e5:

$ git fetch gitk
$ git show 9b2a6e5 --
fatal: bad revision '9b2a6e5'

I assume that Alexander has another patch applied in addition to the one
that he submitted, which, therefore, is no longer "based on a publically
available version".

-- Hannes